---
title: Create a new Opsgenie account
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Opsgenie Integration
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Create a new Opsgenie account{% #create-a-new-opsgenie-account %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                            |
| ----------------- | ----------------------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/integration/opsgenie/accounts |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/integration/opsgenie/accounts |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/integration/opsgenie/accounts      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/integration/opsgenie/accounts      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/integration/opsgenie/accounts  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/integration/opsgenie/accounts |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/integration/opsgenie/accounts     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/integration/opsgenie/accounts |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/integration/opsgenie/accounts |

### Overview

Create a new Opsgenie account in the Datadog Opsgenie integration. This endpoint requires the `manage_integrations` permission.

### Request

#### Body Data (required)

Opsgenie account payload.

{% tab title="Model" %}

| Parent field | Field                        | Type   | Description                                                              |
| ------------ | ---------------------------- | ------ | ------------------------------------------------------------------------ |
|              | data [*required*]       | object | Opsgenie account data for a create request.                              |
| data         | attributes [*required*] | object | The Opsgenie account attributes for a create request.                    |
| attributes   | api_key [*required*]    | string | The Opsgenie API key for your Opsgenie account.                          |
| attributes   | region [*required*]     | enum   | The region for the Opsgenie service. Allowed enum values: `us,eu,custom` |
| data         | type [*required*]       | enum   | Opsgenie account resource type. Allowed enum values: `opsgenie-account`  |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "api_key": "00000000-0000-0000-0000-000000000000",
      "region": "us"
    },
    "type": "opsgenie-account"
  }
}
```

{% /tab %}

### Response

{% tab title="201" %}
CREATED
{% tab title="Model" %}
Response containing an Opsgenie account.

| Parent field | Field                        | Type   | Description                                                              |
| ------------ | ---------------------------- | ------ | ------------------------------------------------------------------------ |
|              | data [*required*]       | object | Opsgenie account data from a response.                                   |
| data         | attributes [*required*] | object | The attributes from an Opsgenie account response.                        |
| attributes   | region                       | enum   | The region for the Opsgenie service. Allowed enum values: `us,eu,custom` |
| data         | id [*required*]         | string | The ID of the Opsgenie account.                                          |
| data         | type [*required*]       | enum   | Opsgenie account resource type. Allowed enum values: `opsgenie-account`  |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "region": "us"
    },
    "id": "596da4af-0563-4097-90ff-07230c3f9db3",
    "type": "opsgenie-account"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/integration/opsgenie/accounts" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "api_key": "00000000-0000-0000-0000-000000000000",
      "region": "us"
    },
    "type": "opsgenie-account"
  }
}
EOF 
                
##### 

```python
"""
Create a new Opsgenie account returns "CREATED" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.opsgenie_integration_api import OpsgenieIntegrationApi
from datadog_api_client.v2.model.opsgenie_account_create_attributes import OpsgenieAccountCreateAttributes
from datadog_api_client.v2.model.opsgenie_account_create_data import OpsgenieAccountCreateData
from datadog_api_client.v2.model.opsgenie_account_create_request import OpsgenieAccountCreateRequest
from datadog_api_client.v2.model.opsgenie_account_type import OpsgenieAccountType
from datadog_api_client.v2.model.opsgenie_service_region_type import OpsgenieServiceRegionType

body = OpsgenieAccountCreateRequest(
    data=OpsgenieAccountCreateData(
        attributes=OpsgenieAccountCreateAttributes(
            api_key="00000000-0000-0000-0000-000000000000",
            region=OpsgenieServiceRegionType.US,
        ),
        type=OpsgenieAccountType.OPSGENIE_ACCOUNT,
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = OpsgenieIntegrationApi(api_client)
    response = api_instance.create_opsgenie_account(body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# Create a new Opsgenie account returns "CREATED" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::OpsgenieIntegrationAPI.new

body = DatadogAPIClient::V2::OpsgenieAccountCreateRequest.new({
  data: DatadogAPIClient::V2::OpsgenieAccountCreateData.new({
    attributes: DatadogAPIClient::V2::OpsgenieAccountCreateAttributes.new({
      api_key: "00000000-0000-0000-0000-000000000000",
      region: DatadogAPIClient::V2::OpsgenieServiceRegionType::US,
    }),
    type: DatadogAPIClient::V2::OpsgenieAccountType::OPSGENIE_ACCOUNT,
  }),
})
p api_instance.create_opsgenie_account(body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// Create a new Opsgenie account returns "CREATED" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.OpsgenieAccountCreateRequest{
		Data: datadogV2.OpsgenieAccountCreateData{
			Attributes: datadogV2.OpsgenieAccountCreateAttributes{
				ApiKey: "00000000-0000-0000-0000-000000000000",
				Region: datadogV2.OPSGENIESERVICEREGIONTYPE_US,
			},
			Type: datadogV2.OPSGENIEACCOUNTTYPE_OPSGENIE_ACCOUNT,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOpsgenieIntegrationApi(apiClient)
	resp, r, err := api.CreateOpsgenieAccount(ctx, body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OpsgenieIntegrationApi.CreateOpsgenieAccount`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OpsgenieIntegrationApi.CreateOpsgenieAccount`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// Create a new Opsgenie account returns "CREATED" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OpsgenieIntegrationApi;
import com.datadog.api.client.v2.model.OpsgenieAccountCreateAttributes;
import com.datadog.api.client.v2.model.OpsgenieAccountCreateData;
import com.datadog.api.client.v2.model.OpsgenieAccountCreateRequest;
import com.datadog.api.client.v2.model.OpsgenieAccountResponse;
import com.datadog.api.client.v2.model.OpsgenieAccountType;
import com.datadog.api.client.v2.model.OpsgenieServiceRegionType;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    OpsgenieIntegrationApi apiInstance = new OpsgenieIntegrationApi(defaultClient);

    OpsgenieAccountCreateRequest body =
        new OpsgenieAccountCreateRequest()
            .data(
                new OpsgenieAccountCreateData()
                    .attributes(
                        new OpsgenieAccountCreateAttributes()
                            .apiKey("00000000-0000-0000-0000-000000000000")
                            .region(OpsgenieServiceRegionType.US))
                    .type(OpsgenieAccountType.OPSGENIE_ACCOUNT));

    try {
      OpsgenieAccountResponse result = apiInstance.createOpsgenieAccount(body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling OpsgenieIntegrationApi#createOpsgenieAccount");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// Create a new Opsgenie account returns "CREATED" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_opsgenie_integration::OpsgenieIntegrationAPI;
use datadog_api_client::datadogV2::model::OpsgenieAccountCreateAttributes;
use datadog_api_client::datadogV2::model::OpsgenieAccountCreateData;
use datadog_api_client::datadogV2::model::OpsgenieAccountCreateRequest;
use datadog_api_client::datadogV2::model::OpsgenieAccountType;
use datadog_api_client::datadogV2::model::OpsgenieServiceRegionType;

#[tokio::main]
async fn main() {
    let body = OpsgenieAccountCreateRequest::new(OpsgenieAccountCreateData::new(
        OpsgenieAccountCreateAttributes::new(
            "00000000-0000-0000-0000-000000000000".to_string(),
            OpsgenieServiceRegionType::US,
        ),
        OpsgenieAccountType::OPSGENIE_ACCOUNT,
    ));
    let configuration = datadog::Configuration::new();
    let api = OpsgenieIntegrationAPI::with_config(configuration);
    let resp = api.create_opsgenie_account(body).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * Create a new Opsgenie account returns "CREATED" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.OpsgenieIntegrationApi(configuration);

const params: v2.OpsgenieIntegrationApiCreateOpsgenieAccountRequest = {
  body: {
    data: {
      attributes: {
        apiKey: "00000000-0000-0000-0000-000000000000",
        region: "us",
      },
      type: "opsgenie-account",
    },
  },
};

apiInstance
  .createOpsgenieAccount(params)
  .then((data: v2.OpsgenieAccountResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
